Emergency Apple iOS 15.0.2 update fixes zero-day used in attacks

Apple vulnerability

Apple has released iOS 15.0.2 and iPadOS 15.0.2 to fix a zero-day vulnerability that is actively exploited in the wild in attacks targeting Phones and iPads.

This vulnerability, tracked as CVE-2021-30883, is a critical memory corruption bug allowing an application to execute commands on vulnerable devices with kernel privileges.

As kernel privileges allow the application to execute any command on the device, threat actors could potentially use it to steal data or install further malware.

While Apple has not provided any details on how this vulnerability was used in attacks, they state that there are reports of it being actively used in attacks.

“Apple is aware of a report that this issue may have been actively exploited,” the company said in a security advisory published earlier today.

Apple purposely keeps vulnerability reports vague to make sure the update is applied to as many devices as possible before other threat actors can learn the details or reverse engineer the patch to create their own exploits.

The list of impacted devices is quite extensive, affecting older and newer models, including iPhone 6s and later, iPad Pro (all models), iPad Air 2 and later, iPad 5th generation and later, iPad mini 4 and later, and iPod touch (7th eneration).

While it is possible that the vulnerability is used in targeted attacks and is not widely used, it is strongly advised to install the update as soon as possible due to its severity.

Zero-days gone wild

Besides today’s zero-day, Apple has fixed what feels like a never-ending stream of zero-day vulnerabilities used in attacks against iPhone, iPads, and macOS devices:

Last month, a researcher publicly disclosed exploits for three zero-day vulnerabilities after Apple delayed patching and failed to credit the person who reported them.